import request from "../utiils/request.js"

// 用户看到的留言板列表（仅自己）
export const lookMsg = params => request.get('/message/look_message', params);
// 发表留言
export const putMsg = params => request.post('/message/message', params);
// 回复留言（只有管理员能回复）
export const replyMsg = params => request.post('/message/reply_message', params);
// 删除留言
export const deleteMsg = params => request.get('/message/delete_message', params);
// 管理员看到留言板列表（全部留言）
export const manageMsg = params => request.get('/message/look_messages', params);
// 精选留言列表
export const wonderfulMsg = params => request.get('/message/look_message_top', params);
// 设为精选
export const isWonderful = params => request.get('/message/is_wonderful', params);
// 设为置顶
export const isTop = params => request.get('/message/is_top', params);
// 取消精选
export const cancelWonderful = params => request.get('/message/cancel_wonderful', params);
// 取消置顶
export const cancelTop = params => request.get('/message/cancel_top', params);
